## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/open-telemetry/opentelemetry-go-contrib
%global goipath         go.opentelemetry.io/contrib
%global forgeurl        https://github.com/open-telemetry/opentelemetry-go-contrib
Version:                1.28.0

%gometa -L

%global common_description %{expand:
Collection of extensions for OpenTelemetry-Go.}

%global golicenses      LICENSE
%global godocs          README.md RELEASING.md CHANGELOG.md CONTRIBUTING.md

Name:           golang-opentelemetry-contrib
Release:        %autorelease
Summary:        Collection of extensions for OpenTelemetry-Go

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

rm -rfv instrumentation/github.com/astaxie/beego/
# examples are not packaged
rm -rvf propagators/opencensus/examples
# drop until github.com/GoogleCloudPlatform/opentelemetry-operations-go is packaged
rm -rvf detectors/gcp

# Remove deprectaed opencensus
rm -rvf propagators/opencensus/

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestDefaultConfig" "TestPartialUserProvidedConfig" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%ifarch s390x
%gocheck -t instrumentation -d go.opentelemetry.io/contrib/instrgen/driver -d go.opentelemetry.io/contrib/samplers/probability/consistent
%else
%gocheck -t instrumentation -d go.opentelemetry.io/contrib/instrgen/driver
%endif
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-3
- Skip failing test on s390x

* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-2
- Skip failing test on s390x

* Mon Aug 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.28.0-1
- Update to 1.28.0 - Closes rhbz#2300811

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.27.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 01 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.27.0-1
- Update to 1.27.0

* Wed Apr 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.17.0-2
- Unbootstrap

* Wed Apr 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.17.0-1
- Update to 1.17.0 - Closes rhbz#2254147

* Mon Apr 15 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.0-8
- Fix FTBFS - Closes rhbz#2225893

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-3
- Remove astaxie/beego

* Sun Oct 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-2
- Unbootstrap

* Sun Sep 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.0-1
- Update to 1.10.0

* Sun Jan 30 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.3.0-2
- Uncommitted changes

* Sun Jan 30 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.3.0-1
- Initial release

## END: Generated by rpmautospec
